Loading...
Searching...
No Matches
Timing Class Reference

## Public Member Functions

void | start ()
void | end ()
double | interval ()
| Return time interval between start() and end().

## Detailed Description

Definition at line 32 of file Performance.h.

## Constructor & Destructor Documentation

## Timing()

Timing::Timing | ( |  | ) |

inline

Definition at line 37 of file Performance.h.

{
start();
}

## Member Function Documentation

## end()

void Timing::end | ( |  | ) |

inline

Definition at line 51 of file Performance.h.

{
gettimeofday(&endInterval, NULL);
}

## interval()

double Timing::interval | ( |  | ) |

inline

Return time interval between start() and end().

Returns
  elapsed time in seconds

Definition at line 60 of file Performance.h.

{
return (endInterval.tv_sec + (endInterval.tv_usec/1000000.0)) -
(startInterval.tv_sec + (startInterval.tv_usec/1000000.0));
}

## start()

void Timing::start | ( |  | ) |

inline

Definition at line 46 of file Performance.h.

{
gettimeofday(&startInterval, NULL);
}

The documentation for this class was generated from the following file:

- general/Performance.h